org.apache.tomcat.util.security

## Interface PermissionCheck

- All Known Implementing Classes:
    ParallelWebappClassLoader, WebappClassLoader, WebappClassLoaderBase

      public interface PermissionCheck

  This interface is implemented by components to enable privileged code to check whether the component has a given permission. This is typically used when a privileged component (e.g. the container) is performing an action on behalf of an untrusted component (e.g. a web application) without the current thread having passed through a code source provided by the untrusted component. Because the current thread has not passed through a code source provided by the untrusted component the SecurityManager assumes the code is trusted so the standard checking mechanisms can't be used.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `check(Permission permission)` Does this component have the given permission?

- - ### Method Detail

    - #### check

          boolean check(Permission permission)

      Does this component have the given permission?
      Parameters:
        `permission` - The permission to test
      Returns:
        `false` if a SecurityManager is enabled and the component does not have the given permission, otherwise `true`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.